package com.supervision.web.peopleGateManage.mapper;


import com.supervision.web.peopleGateManage.enity.PeopleInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PersonMapper {
    List<PeopleInfo> getAllPersons();
//    List<PeopleInfo> getPersonsByDeviceId(@Param("deviceId") Long deviceId);


    int insertPerson(PeopleInfo person);

    void updatePerson(PeopleInfo person);

    void deletePerson(Long id);
}
